Public Class LoginForm

    ' TODO: inserire il codice per l'esecuzione dell'autenticazione personalizzata tramite il nome utente e la password forniti 
    ' (Vedere http://go.microsoft.com/fwlink/?LinkId=35339).  
    ' L'entità personalizzata può essere quindi collegata all'entità del thread corrente nel modo seguente: 
    '     My.User.CurrentPrincipal = CustomPrincipal
    ' dove CustomPrincipal è l'implementazione di IPrincipal utilizzata per eseguire l'autenticazione. 
    ' My.User restituirà quindi informazioni sull'identità incapsulate nell'oggetto CustomPrincipal,
    ' quali il nome utente, il nome visualizzato e così via.

    Private Sub OK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK.Click
        Dim PWD_NEW As String
        Dim errore As Boolean = False
        PWD_NEW = Me.PasswordTextBox.Text
        If PWD_NEW.Length = 5 Then
            If IsNumeric(PWD_NEW) = True Then
                password = PWD_NEW
                If CMD_Login = 23 Then
                    comando = "*/" & password & "-VER/*"
                    richiesto_nome = False
                End If
            Else
                errore = True
            End If
        Else
            errore = True
        End If
        If errore = True Then
            MsgBox("La password inserita non contiene valori validi." & Chr(13) & "La password deve essere composta da 5 caratteri numerici.", MsgBoxStyle.Information + MsgBoxStyle.OkOnly, "Errore...")
        Else
            Me.Close()
        End If
    End Sub

    Private Sub Cancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel.Click
        Me.Close()
    End Sub

    Private Sub LoginForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.LBL_Messaggio.Text = "Unità di telecontrollo non disponibile." & Chr(13) & "Verificare che sia collegata e in funzione. L'unità potrebbe anche essere occupata in altre operazione, quindi riprovare tra qualche secondo." & Chr(13) & Chr(13) & "Il problema di accesso potrebbe anche essere dovuta alla password di sistema errata. La password di controllo attualmente impostata è '" & password & "', nel caso sia stata impostata una password differente sul telecontrollo, cambiarla nell'apposito campo qui sotto presente, in alternativa non cambiare quanto riportato."
        Me.PasswordTextBox.Text = password
    End Sub
End Class
